{ config, lib, pkgs, ... }:
{
  config = lib.mkIf config.home.gaming.enable {
    home = {
      packages = with pkgs; [
        heroic
        prismlauncher
        steam
        steam-run-free
      ];
      persistence."/persist${config.home.homeDirectory}".directories = [
        ".config/heroic"
        ".local/share/PrismLauncher"
        ".local/share/Steam"
      ];
    };

    nixpkgs.allowUnfreePackages = [
      "steam"
      "steam-unwrapped"
    ];
  };
}
